System.Design 1.0.5000.0 2.0.0.0 System.Object To be added.

Provides helper methods that can be used by control designers to generate sample data for data-bound properties at design time. This class cannot be inherited.

- Method
  2.0.0.0
  System.Data.DataTable

  The table is not actually bound to a data source. Each column name simply indicates that it is a data-bound column. The column data types are string, integer, and string. The calling designer component must add rows and data to the resulting table.

  Creates a object that contains three columns with names indicating that the columns are connected to a data source.

  A new object with three columns and no data.

- Method
  System.Data.DataTable

  The column data types are all string. The calling designer component can call the method to add rows of data to the resulting table.

  Creates a object that contains three columns with names that indicate that the columns contain sample data.

  A new with three columns. These columns can contain data of type string.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataTable ``

  The data types that can be created are the primitive types, such as number, string, and date types. Any other types are replaced by columns of type String. The calling designer component can call the method to add rows of data to the resulting table.

  Creates a sample object with the same schema as the provided data.

  A object that contains columns with the same names and data types as the provided .

  A data source with the desired schema to use as the format for the sample object. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.DataTable `` ``

  The data types that can be created are the primitive types, such as number, string, and date types. Any other types are replaced by columns of type String. The calling designer component can use to add rows of data to the resulting table.

  Creates a object with the same schema as the provided data and optionally containing column names indicating that the data is bound data.

  A object.

  An object containing data. If true, the column names indicate that they contain bound data.
- Field
  System.EventHandler To be added.

  Gets an event handler for data binding.

  1.0.5000.0
  2.0.0.0
- Method
  System.ComponentModel.PropertyDescriptorCollection `` To be added.

  Gets a collection of property descriptors for the data fields of the specified data source.

  A object that describes the data fields of the specified data source.

  The data source from which to retrieve the data fields. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` ``

  This method searches the specified data source for the specified data member. If is null, the first data member in the specified data source is returned.

  Gets the specified data member from the specified data source.

  An object implementing containing the specified data member from the specified data source, if it exists.

  An that contains the data in which to find the member. The name of the data member to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.String[] `` To be added.

  Gets the names of the data members in the specified data source.

  An array of type String that contains the names of the data members in the specified data source.

  The data source from which to retrieve the names of the members. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` `` To be added.

  Adds the specified number of sample rows to the specified data table.

  An object implementing containing sample data for use at design time.

  The object to which the sample rows are added. The minimum number of rows to add. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` To be added.

  Gets a data source selected by name in the design host, represented by the specified component's site property and identified by the specified data source name.

  An object implementing either or representing the selected data source, or null if the data source or the designer host could not be accessed.

  The object that contains the data source. The name of the data source to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` `` `` To be added.

  Gets a data source selected by name in the design host, represented by the specified component's site property and identified by the specified data-source name and member name.

  An object implementing containing the data member, or null if the data source, member, or component's site could not be accessed.

  The object implementing that contains the data sourced property. The data source to retrieve. The data member to retrieve. 1.0.5000.0 2.0.0.0